Skip to navigation

Get AppConfigValue by ID

Beta
Get a single AppConfigValue by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

app_config_value_idstringRequired
ID of the AppConfigValue.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstring or nullOptionalformat: "datetime"
DateTime at which the config value was created.
descriptionstring or nullOptional
idstringOptional
modifiedAtstring or nullOptionalformat: "datetime"
DateTime at which the config value was last modified.
pathlist of stringsOptional
valueDataobject or nullOptional
A union of all possible value types stored in an AppConfigValue. Primitive types carry their native scalar, EntitySchemaAppConfigValue carries a subtype, and ResourceAppConfigValue handles all other Benchling object and schema references via a type discriminator.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error